[XTS.FileLogger]
LogFilesLocation=Logs 
LogTimeFormat=LocalTime 
LogTimeDisplayFormat=dd:MMM:yyyy HH:mm:ss.fff 
MaxFileSizeInMB=20 
AllowedLogTypes=Info, Warning, Error, Exception

[XTS.TWS.ConnectionInfo]
BrokerSystemID=SHAREINDIA9
InterfaceIP=
ServerIP=strade.shareindia.com
Port=5009
SocketBufferSizeInKB=70 
LogonTimeOut=10000 
RequestTimeOut=30000
AlgoInterfaceIP=
AlgoServerIP=strade.shareindia.com
AlgoPort =6005

[XTS.FileUploaderMode]
Online= true
InstrumentsDownloaderKey = \\strade.shareindia.com\SharedDrive\InstrumentMaster
SupportedExchanges= NSECM,NSEFO,NSECD,BSECM
Server = strade.shareindia.com
Database = xts_broker_b1
Port = 3306
UserID = root
Password = S$ft@1234

[XTS.FileUpload.MaxBatchSize]
Default = 1000
UploadRMSBlockUnblockData = 100

[XTS.TCPDataTransportSettings]
CompressionEnabled = true
EncryptionEnabled = true

[XTS.TWS.Settings]
MaxLogsVisibleInLogWindow = 10000
MaxMessagesVisibleInMessageBar = 1000
TerminalLockIntervalInMinutes = 15
MDFromGateway = false
ExternalResourceFileName = 
BackOfficeSSOLoginEnabled = true

[XTS.OTBSettings]
Enabled = true
ShowProductType = false
BSEUserID = false

[XTFuseSetting]
ServerIP=127.0.0.1
ServerPort=7000

[XTSRTDServerInfo]
ServerPort=3002

[XTConnectAPISetting]
XTConnectUrl = www.google.com

[XTS.UpdateChecker]
BaseUri=http://strade.shareindia.com:3500

[XTS.TWS.WSConnectionInfo]
BaseUri=http://strade.shareindia.com:3007
AllowedServiceTypes=MarketData, MasterDownload, ErrorReport
WebRequestTimeOutInSec=30
BinaryFeed=true
FeedAutoReconnectInSeconds=0

[XTS.TWS.ConnectionTemplateInfo]
TemplateCount=0
SelectedConnectionName=

[XTS.TWS.ConnectionTemplateInfo.1]
Name=
ServerIP=
Port=
BaseUri=
UpdateChecker=
ChartUrl=

[XTS.TWS.AddIn]
AddInDir=TWSAddIns
ExcelAddinx86=XTS.ExcelLinker-AddIn-packed.xll
ExcelAddinx64=XTS.ExcelLinker-AddIn64-packed.xll
ColumnSettingDir=PluginColumnSetting

[XTS.HostLookUp]
HostLookUpEnabled = false
HostLookUpURI = http://192.168.52.23:5042
SiteID = gateway1
Version = 1.1
InstanceID = twsgateway1

[XTS.TWS.TCPMarketDataConnectionInfo]
IsTCPMarketDataEnabled = false
InterfaceIP=127.0.0.1 
ServerIP=127.0.0.1 
Port=4300
TCPSocketBufferSizeInKB = 10
SupportedExchanges = NSECM,NSEFO,NSECD,BSECM,BSEFO,BSECD,MCXFO
[XTS.TWS.MulticastData]
NSECM=127.0.0.1|231.31.55.35|19001
NSEFO=127.0.0.1|231.31.55.35|19003
NSECD=127.0.0.1|231.31.55.35|19009
NSECO=127.0.0.1|231.31.55.35|18004
SLBM=127.0.0.1|231.31.55.35|18005
OFS=127.0.0.1|231.31.55.35|18006
BSECM=127.0.0.1|231.31.55.35|18101
BSEFO=127.0.0.1|231.31.55.35|18102
BSECD=127.0.0.1|231.31.55.35|18103
BSECO=127.0.0.1|231.31.55.35|18104
NCDEX=127.0.0.1|231.31.55.35|18201
MCXFO=127.0.0.1|231.31.55.35|18301
MSECM=127.0.0.1|231.31.55.35|18401
MSEFO=127.0.0.1|231.31.55.35|18402
MSECD=127.0.0.1|231.31.55.35|18403
NIFSC=127.0.0.1|231.31.55.35|18501


[XTS.TWS.MasterDataSetting]
IndexFileEnabled = false
IncrementDownloadEnabled = true
